<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: mg_rubbler_panel.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Turn off all error reporting
error_reporting(0);
// Report all PHP errors (see changelog)
//error_reporting(E_ALL);
//error_reporting(E_ALL & ~E_NOTICE);

include INFUSIONS."mg_rubbler_panel/infusion_db.php";
add_to_head("<style type='text/css'>
<!--
.rubblerpaneltooltip {
	position: absolute;
	max-width: 300px;
	display: none;
	text-align:center;
	padding:10px;
	border:1px solid dimgray;
	-moz-border-radius: 5px;
	-webkit-border-radius: 5px;
	box-shadow: 7px 7px 8px #818181;
	-webkit-box-shadow: 7px 7px 8px #818181;
	-moz-box-shadow: 7px 7px 8px #818181;
}
-->
</style>");

$rblsettings = dbarray(dbquery("SELECT * FROM ".DB_RUBBLER_SETTINGS.""));
$history = "";
$anzahl = "";
$mitspieler = "";
$durchlauf = "";
$input = "";
$admintext = "";
$adminbetr = "";
$user = "";
$userbetr = "";
$usertext = "";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."mg_rubbler_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."mg_rubbler_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."mg_rubbler_panel/locale/German.php";
}

openside($locale['MGR_title']);
	$anzahl=dbcount("(rubbl_user_id)", DB_RUBBLER_USER);
	$result = dbquery("SELECT th.*, tu.* FROM ".DB_RUBBLER_HISTORY." as th INNER JOIN ".DB_USERS." as tu ON (th.rubbl_his_user_id = tu.user_id) ORDER BY th.rubbl_his_datestamp DESC LIMIT 0,5");
	$history = "";
	if (dbrows($result)) {
	$i = 1;
	while ($data = dbarray($result)) {
		$gewinn = ($data['rubbl_his_score_gewinn'] != "" ? $data['rubbl_his_score_gewinn']." ".$locale['MGR_023']."<br />" : "").($data['rubbl_his_gewinn_name'] != "" ? $data['rubbl_his_gewinn_name']."<br />" : "").($data['rubbl_his_gewinn_img'] != "" ? "<img src='".INFUSIONS."mg_rubbler_panel/images/".$data['rubbl_his_gewinn_img']."' style='max-width:150px;max-height:150px;' />" : "");
		$history .= THEME_BULLET."<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' onmouseover=\"showWMTT('paneltip".$i."')\" onmouseout=\"hideWMTT()\">".$data['user_name']."</a><br /><div id='paneltip".$i."' class='tbl1 rubblerpaneltooltip'><b>".$locale['MGR_026']."".showdate("%d.%m.%Y %H:%M:%S", $data['rubbl_his_datestamp'])."</b><hr /><b>".$locale['MGR_005'].":</b> #".$data['rubbl_his_losnummer']."<br /><b>".$locale['MGR_027'].":</b> ".$gewinn."</div>";
	$i++;
	}
	} else {
		$history = THEME_BULLET."".$locale['MGR_031']."";
	}

if ($rblsettings['rubbl_ziehung_aktiv'] == 1) {
	echo "<b>".$locale['MGR_028']."</b> ".$anzahl."<br />";
	if (iMEMBER) {
	echo "<div style='text-align:center;'>".$locale['MGR_016']."<span style='color:red;'>".showdate("%d.%m.%Y %H:%M:%S", $rblsettings['rubbl_next_ziehung'])."</span><br /><a href='".INFUSIONS."mg_rubbler_panel/mg_rubbler.php'>&middot;".$locale['MGR_033'] ."&middot;</a></div><br />";
	}
	} else {
		echo "<div style='text-align:center;'>".$locale['MGR_024']."</div><br />";
	}
	echo "<b>".sprintf($locale['MGR_029'], "5")."</b> <br />".$history;
	if (iMEMBER) {
	echo "<div style='text-align:center;'><hr class='side-hr' /><a href='".INFUSIONS."mg_rubbler_panel/mg_rubbler.php?history=true'>&middot;".$locale['MGR_030']."&middot;</a></div>";
	}
echo "<div style='float: right;'><a href='http://phpfusion.marcusg.de' target='_blank' title='".$locale['MGR_title']." v".$locale['MGR_version']." &copy; ".showdate("%Y",time())." by MarcusG'><span class='small'>&copy;</span></a></div>";
closeside();

//// Ziehung automatisiert bei Seitenaufruf
if (iMEMBER) {
if ($rblsettings['rubbl_next_ziehung'] <= time() && $rblsettings['rubbl_ziehung_aktiv'] == 1) {
$i = 1;
$mitspieler=dbcount("(rubbl_user_id)", DB_RUBBLER_USER);
$durchlauf = ($mitspieler >= $rblsettings['rubbl_anzahl_gewinner'] ? $rblsettings['rubbl_anzahl_gewinner'] : $mitspieler);

while ($i <= $durchlauf) {
$input = dbarray(dbquery("SELECT * FROM ".DB_RUBBLER_USER." ORDER BY RAND() LIMIT 1"));
	// Ergebnis verschieben nach History
	$result = dbquery("INSERT INTO ".DB_RUBBLER_HISTORY." SET
	rubbl_his_user_id='".$input['rubbl_user_id']."',
	rubbl_his_losnummer='".$input['rubbl_losnummer']."',
	rubbl_his_score_gewinn='".$rblsettings['rubbl_los_score_gewinn'.$i.'']."',
	rubbl_his_gewinn_name='".$rblsettings['rubbl_los_gewinn_name'.$i.'']."',
	rubbl_his_gewinn_desc='".$rblsettings['rubbl_los_gewinn_desc'.$i.'']."',
	rubbl_his_gewinn_img='".$rblsettings['rubbl_los_gewinn_img'.$i.'']."',
	rubbl_his_datestamp='".time()."'");

	// Ergebnis verschieben nach History
	$result1 = dbquery("DELETE FROM ".DB_RUBBLER_USER." WHERE rubbl_user_id='".$input['rubbl_user_id']."'");

	// Scores falls vorhanden
	if (defined("SCORESYSTEM") && ($rblsettings['rubbl_use_scoresys'] != 0)) {
		score_free($locale['MGR_034'], "RUBGE", $rblsettings['rubbl_los_score_gewinn'.$i.''], 1000, "P", 0, $input['rubbl_user_id']);
	}
	//PM an User und Admin
	$user = dbarray(dbquery("SELECT user_name from ".DB_USERS." WHERE user_id='".$input['rubbl_user_id']."'"));
	$userbetr = $locale['MGR_ubtr'];
	$usertext = sprintf($locale['MGR_utxt'], $input['rubbl_losnummer'], $i)."\n\n[url=".$settings['siteurl']."infusions/mg_rubbler_panel/mg_rubbler.php?history=true][b]".$locale['MGR_030']."[/b][/url]";

	$admin_txt .= $i.". ".$locale['MGR_025'].": ".$user['user_name']."\n";

	$result_usermsg = dbquery("INSERT INTO ".DB_MESSAGES." (message_to, message_from, message_subject, message_message, message_smileys, message_read, message_datestamp, message_folder) VALUES ('".$input['rubbl_user_id']."', '".$rblsettings['rubbl_pm_from_id']."', '".$userbetr."', '".$usertext."', 'n', '0', '".time()."', '0')");
	// Shoutbox Eintrag
	$shout_text .= $i.". ".$locale['MGR_025'].": ".$user['user_name']."\n";
$i++;
};
	$admintext = $admin_txt."\n[url=".$settings['siteurl']."infusions/mg_rubbler_panel/mg_rubbler.php?history=true][b]".$locale['MGR_035']."[/b][/url]";
	$adminbetr = "".$locale['MGR_title']." ".showdate("%d.%m.%Y %H:%M:%S", time());
	$result_adminmsg = dbquery("INSERT INTO ".DB_MESSAGES." (message_to, message_from, message_subject, message_message, message_smileys, message_read, message_datestamp, message_folder) VALUES ('".$rblsettings['rubbl_pm_to_id']."', '".$rblsettings['rubbl_pm_from_id']."', '".$adminbetr."', '".$admintext."', 'n', '0', '".time()."', '0')");
	
	// Shoutbox Eintrag
	$shout_msg = $locale['MGR_036']." \n".$shout_text;
	
	$result_shoutbox = dbquery("INSERT INTO ".DB_SHOUTBOX." (shout_name, shout_message, shout_datestamp, shout_ip) VALUES ('".$rblsettings['rubbl_pm_from_id']."', '".$shout_msg."', '".time()."', '".USER_IP."')");
	// Chat-Eintrag
	if (file_exists(INFUSIONS."mg_chat/mg_chat.php")) {
		$mg_chat_message = "<br /><fieldset><legend>[color=#3300cc][b]".$locale['MGR_036']." (".showdate("%d.%m.%Y", time()).")[/b]</legend><center>".nl2br($shout_text)."</center>[/color]</fieldset>";
		$result_chat = dbquery("INSERT INTO ".DB_MG_CHAT." SET mg_chat_room_id='0', mg_chat_name='".$rblsettings['rubbl_pm_from_id']."', mg_chat_message='".$mg_chat_message."', mg_chat_whisper='', mg_chat_whisper_to='',  mg_chat_datestamp='".time()."', mg_chat_ip='".USER_IP."'");
	}

//Tabelle leeren und Ziehung auf inaktiv
$result = dbquery("UPDATE ".DB_RUBBLER_SETTINGS." SET rubbl_ziehung_aktiv='0' WHERE rubbl_settings_id='1'");
$result1 = dbquery("TRUNCATE ".DB_RUBBLER_USER."");

}
}
//////////////////////////////////////////

echo "<script src='".INFUSIONS."mg_rubbler_panel/inc/tooltip.js'></script>";

?>