<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: mg_rubbler.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

// Turn off all error reporting
error_reporting(0);
// Report all PHP errors (see changelog)
//error_reporting(E_ALL);
//error_reporting(E_ALL & ~E_NOTICE);

include INFUSIONS."mg_rubbler_panel/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."mg_rubbler_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."mg_rubbler_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."mg_rubbler_panel/locale/German.php";
}

add_to_head("<style type='text/css'>
<!--
.rubblertooltip {
	position: absolute;
	max-width: 300px;
	display: none;
	text-align:center;
	padding:10px;
	border:1px solid dimgray;
	-moz-border-radius: 5px;
	-webkit-border-radius: 5px;
	box-shadow: 7px 7px 8px #818181;
	-webkit-box-shadow: 7px 7px 8px #818181;
	-moz-box-shadow: 7px 7px 8px #818181;
}
.rub_shadow {
box-shadow: 7px 7px 8px #818181;
-webkit-box-shadow: 7px 7px 8px #818181;
-moz-box-shadow: 7px 7px 8px #818181;
}
-->
</style>");
if (iMEMBER) {
$block = dbarray(dbquery("SELECT * FROM ".DB_RUBBLER_BLOCK." WHERE  rubbl_block_user_id='".$userdata['user_id']."'"));
if (isset($_GET['scores']) && $_GET['scores'] != "") {
	// add_to_head("<script src='".INFUSIONS."mg_rubbler_panel/inc/jquery-1.4.2.min.js' type='text/javascript'></script>\n");
	echo "<div class='error'><br /><img src='".INFUSIONS."mg_rubbler_panel/inc/button_cancel.png' /><br />".$locale['MGR_err1']."<br /></div>";
}

$rblsettings = dbarray(dbquery("SELECT * FROM ".DB_RUBBLER_SETTINGS.""));
if (isset($_POST['nehme_los']) && $_POST['nehme_los'] != "") {

	if (defined("SCORESYSTEM") && ($rblsettings['rubbl_use_scoresys'] != 0)) {
		$rscore = dbquery("SELECT * FROM ".DB_SCORE_ACCOUNT." WHERE acc_user_id = '".$userdata['user_id']."'");
		$score_user = dbarray($rscore);
		if($score_user['acc_score'] >= $rblsettings['rubbl_los_score_kosten']){
		score_free($locale['MGR_001'], "RUBKO", $rblsettings['rubbl_los_score_kosten'], 1000, "N", 0, 0);
		} else {
			redirect(FUSION_SELF."?scores=true");
		}
	}
	$losnummer = sprintf("%06s", $_POST['losnummer']);
	$result = dbquery("INSERT INTO ".DB_RUBBLER_USER." SET rubbl_user_id='".$userdata['user_id']."', rubbl_losnummer='".$losnummer."', rubbl_datestamp='".time()."' ON DUPLICATE KEY UPDATE rubbl_losnummer='".$losnummer."', rubbl_datestamp='".time()."'");
	redirect(FUSION_SELF);
}

if (isset($_POST['neues_los']) && $_POST['neues_los'] != "") {
	if (defined("SCORESYSTEM") && ($rblsettings['rubbl_use_scoresys'] != 0)) {
		$rscore = dbquery("SELECT * FROM ".DB_SCORE_ACCOUNT." WHERE acc_user_id = '".$userdata['user_id']."'");
		$score_user = dbarray($rscore);
		if($score_user['acc_score'] >= "5"){
		score_free($locale['MGR_002'], "RUBKT", 5, 1000, "N", 0, 0);
		} else {
			redirect(FUSION_SELF."?scores=true");
		}
	}
	redirect(FUSION_SELF);
}

if (isset($_GET['history']) && $_GET['history'] != "") {
opentable("".$locale['MGR_003']."");
$items_per_page = 10;
if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) {
	$_GET['rowstart'] = 0;
}
$rows = dbcount("(rubbl_history_id)", DB_RUBBLER_HISTORY);
$result = dbquery("SELECT th.*, tu.* FROM ".DB_RUBBLER_HISTORY." as th INNER JOIN ".DB_USERS." as tu ON (th.rubbl_his_user_id = tu.user_id) ORDER BY th.rubbl_his_datestamp DESC LIMIT ".$_GET['rowstart'].", ".$items_per_page."");

echo "<br />";
echo "<table width='70%' class='tbl-border' cellpadding='0' cellspacing='0' align='center'>
	<tr>
		<td class='tbl2' colspan='5' style='font-weight:bold;text-align:left;'>".$locale['MGR_003']."</td>
	</tr>
	<tr>
		<td class='tbl1' style='font-weight:bold;text-align:center;'>".$locale['MGR_004']."</td>
		<td class='tbl1' style='font-weight:bold;text-align:center;'>".$locale['MGR_005']."</td>
		<td class='tbl1' style='font-weight:bold;text-align:center;'>".$locale['MGR_006']."</td>
		<td class='tbl1' style='font-weight:bold;text-align:center;'>".$locale['MGR_007']."</td>
		<td class='tbl1' style='font-weight:bold;text-align:center;'>".$locale['MGR_008']."</td>
	</tr>";

	if (dbrows($result)) {
		$i = 0;
		while ($data = dbarray($result)) {
			$class = (($i % 2) ? 'tbl1' : 'tbl2');
			echo "
		<tr>
			<td class='".$class."' style='text-align:center;'>
					<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a>
				</td>
				<td class='".$class."' style='text-align:center;'>
					#".$data['rubbl_his_losnummer']."
				</td>
				<td class='".$class."' style='text-align:center;'>
					".($data['rubbl_his_score_gewinn'] != "" ? $data['rubbl_his_score_gewinn'] : "---")."
				</td>
				<td class='".$class."' style='text-align:center;'>
					".($data['rubbl_his_gewinn_name'] != "" ? $data['rubbl_his_gewinn_name']."<br />
					<img src='".INFUSIONS."mg_rubbler_panel/images/".$data['rubbl_his_gewinn_img']."' style='max-width:100px;max-height:100px;' onmouseover=\"showWMTT('himg".$i."')\" onmouseout=\"hideWMTT()\" /><div id='himg".$i."' class='tbl1 rubblertooltip'><b>".$data['rubbl_his_gewinn_name']."</b><hr /><img src='".INFUSIONS."mg_rubbler_panel/images/".$data['rubbl_his_gewinn_img']."' style='max-width:250px;' /></div>" : "---")."
				</td>
				<td class='".$class."' style='text-align:center;'>
					".showdate("%d.%m.%Y %H:%M:%S", $data['rubbl_his_datestamp'])."
				</td>
			</tr>";
			$i++;
		}
	} else {
		echo "<tr><td class='tbl1' colspan='5' style='font-weight:bold;text-align:center;'>".$locale['MGR_009']."</td></tr>";
	}
	if ($rows > $items_per_page) {
		echo "<tr><td class='tbl2' colspan='5' style='text-align:center;'>".makepagenav($_GET['rowstart'],$items_per_page,$rows,3, FUSION_SELF."?history=true&")."</td></tr>";
	}
	echo "
	</table>";
closetable();
} else {

srand(microtime()*1000000);
$zufall = rand(1,100000);
$losnummer = sprintf("%06s", $zufall);

$userlos=dbarray(dbquery("SELECT * FROM ".DB_RUBBLER_USER." WHERE rubbl_user_id = '".$userdata['user_id']."'"));

opentable($locale['MGR_title']);
if ($rblsettings['rubbl_ziehung_aktiv'] == 1) {
echo "<table class='tbl' width='100%' cellpadding='2' cellspacing='2' align='center'>
		<tr>
			<td class='tbl1' width='100%' align='center'>
				<div style='float:left;text-align:left;'><img src='".INFUSIONS."mg_rubbler_panel/inc/info.gif' style='width:20px; height:20px;' onmouseover=\"showWMTT('hilfetip')\" onmouseout=\"hideWMTT()\" />
				<div id='hilfetip' class='tbl1 rubblertooltip'><b>".$locale['MGR_010']."</b><hr />
				".$locale['MGR_011']."<br />";
				if ($rblsettings['rubbl_use_scoresys'] != 0) {
				echo "(".sprintf($locale['MGR_012'], $rblsettings['rubbl_los_score_kosten']).")<br />";
				}
				echo "".$locale['MGR_013']."</div></div>";
				if ($userlos == "") {
				echo "<div style='font-weight:bold;text-align:center;'><big>".$locale['MGR_014']."</big><br />
				".$locale['MGR_015']."<br /><br />
				".$locale['MGR_016']."<span style='color:red;'>".showdate("%d.%m.%Y %H:%M:%S", $rblsettings['rubbl_next_ziehung'])."</span><br /><br />
				".$locale['MGR_017'].":
				</div>";
				} else {
					echo "<div style='font-weight:bold;text-align:center;'><big>".$locale['MGR_014']."</big><br /><br />".$locale['MGR_016']."<span style='color:red;'>".showdate("%d.%m.%Y %H:%M:%S", $rblsettings['rubbl_next_ziehung'])."</span><br /><br />".$locale['MGR_018']."</div>";
				}
			echo "</td>
			<td class='tbl1' width='130px'align='center' style='vertical-align:bottom;'>
				<div style='font-weight:bold;text-align:center;'>
					".$locale['MGR_019'].":
				</div>
			</td>
		</tr>
		<tr>
			<td class='tbl1' align='center'>
				<form name='los_form' method='post' action='".FUSION_SELF."'>
				<table class='rub_shadow' width='130px' height='200px' cellpadding='0' cellspacing='0' align='center' style='cursor:crosshair;background-image:url(".INFUSIONS."mg_rubbler_panel/inc/number.php?number=".$losnummer."); background-repeat:no-repeat;'>";
if ($userlos == "" && !$block) {
				$row= 0;
				do {
					echo "<tr>";
						$col=0;
						do {
							echo "<td onMouseOver=\"this.innerHTML = '<img src=\'".INFUSIONS."mg_rubbler_panel/inc/blank_pixel.gif\' />'\"><img src='".INFUSIONS."mg_rubbler_panel/inc/pixel.png' style='width:10px;heigth:10px;padding:0px;' /></td>";
							$col++;
						} while ($col < 13);
					echo "</tr>";
					$row++;
				} while ($row < 20);
			} else {
				echo "<tr><td><img class='rub_shadow' src='".INFUSIONS."mg_rubbler_panel/inc/kein_los.png' /></td></tr>";
			}
			echo "</table><br />";
			if ($userlos == "" && !$block) {
			echo "<input type='hidden' name='losnummer' value='".$losnummer."' />
				<input type='submit' class='button' name='nehme_los' value='".$locale['MGR_020']."' />&nbsp;&nbsp;<input type='submit' class='button' name='neues_los' value='".$locale['MGR_021']."' />";
			}
			echo "</form>
			</td>
			<td class='tbl1' align='center' style='vertical-align:top;'>
				<div style='float:right;text-align:center;'>
				<img class='rub_shadow' src='".INFUSIONS."mg_rubbler_panel/inc/".($userlos == "" ? "kein_los.png" : "number.php?number=".$userlos['rubbl_losnummer']."")."' />
				</div>
			</td>
		</tr>
	</table>";
	$rubbl_anzahl_gewinner = $rblsettings['rubbl_anzahl_gewinner'];
	$breite = (100/$rubbl_anzahl_gewinner)."%";
echo "<table class='tbl' width='100%' cellpadding='2' cellspacing='2' align='center'>
		<tr>
			<td class='tbl2' colspan='".$rubbl_anzahl_gewinner."' style='font-weight:bold;text-align:center;'>".$locale['MGR_022']."</td>
		</tr>
		<tr>";
		$i = 1;
		do {
			echo "<td style='text-align:center;vertical-align:top;' width='".$breite."'>
					<b>".$i.". ".$locale['MGR_025'].":</b><br />";
					if ($rblsettings['rubbl_use_scoresys'] == 1) {
						echo ($rblsettings['rubbl_los_score_gewinn'.$i.''] != "" ? "".$locale['MGR_023'].": ".$rblsettings['rubbl_los_score_gewinn'.$i.'']."<br />" : "");
					} elseif ($rblsettings['rubbl_use_scoresys'] == 2) {
						echo ($rblsettings['rubbl_los_score_gewinn'.$i.''] != "" ? "".$locale['MGR_023'].": ".$rblsettings['rubbl_los_score_gewinn'.$i.'']."<br />" : "");
						echo ($rblsettings['rubbl_los_gewinn_name'.$i.''] != "" ? $rblsettings['rubbl_los_gewinn_name'.$i.'']."<br />" : "");
						echo ($rblsettings['rubbl_los_gewinn_desc'.$i.''] != "" ? nl2br(parseubb(parsesmileys($rblsettings['rubbl_los_gewinn_desc'.$i.''])))."<br />" : "");
						echo ($rblsettings['rubbl_los_gewinn_img'.$i.''] != "" ? "<img src='".INFUSIONS."mg_rubbler_panel/images/".$rblsettings['rubbl_los_gewinn_img'.$i.'']."' style='max-width:100px;max-height:100px;' onmouseover=\"showWMTT('imgtip".$i."')\" onmouseout=\"hideWMTT()\" /><div id='imgtip".$i."' class='tbl1 rubblertooltip'><b>".$rblsettings['rubbl_los_gewinn_name'.$i.'']."</b><hr /><img src='".INFUSIONS."mg_rubbler_panel/images/".$rblsettings['rubbl_los_gewinn_img'.$i.'']."' style='max-width:250px;' /></div>" : "");

					} else {
						echo ($rblsettings['rubbl_los_gewinn_name'.$i.''] != "" ? $rblsettings['rubbl_los_gewinn_name'.$i.'']."<br />" : "");
						echo ($rblsettings['rubbl_los_gewinn_desc'.$i.''] != "" ? nl2br(parseubb(parsesmileys($rblsettings['rubbl_los_gewinn_desc'.$i.''])))."<br />" : "");
						echo ($rblsettings['rubbl_los_gewinn_img'.$i.''] != "" ? "<img src='".INFUSIONS."mg_rubbler_panel/images/".$rblsettings['rubbl_los_gewinn_img'.$i.'']."' style='max-width:100px;max-height:100px;' onmouseover=\"showWMTT('imgtip".$i."')\" onmouseout=\"hideWMTT()\" /><div id='imgtip".$i."' class='tbl1 rubblertooltip'><b>".$rblsettings['rubbl_los_gewinn_name'.$i.'']."</b><hr /><img src='".INFUSIONS."mg_rubbler_panel/images/".$rblsettings['rubbl_los_gewinn_img'.$i.'']."' style='max-width:250px;' /></div>" : "");

					}
			echo "</td>";
			$i++;
		} while ($i <= $rubbl_anzahl_gewinner);
	echo "
		</tr>
	</table>";

} else {
	echo "<div style='font-weight:bold;text-align:center;'>".$locale['MGR_024']."</div>";
}

closetable();

opentable($locale['MGR_032']);
	$history = "";
	$strSQL="select count(rubbl_user_id) as Gesamt from ".DB_RUBBLER_USER."";
	$anzahl=dbcount("(rubbl_user_id)", DB_RUBBLER_USER);
	$result = dbquery("SELECT th.*, tu.* FROM ".DB_RUBBLER_HISTORY." as th INNER JOIN ".DB_USERS." as tu ON (th.rubbl_his_user_id = tu.user_id) ORDER BY th.rubbl_his_datestamp DESC LIMIT 0,10");
	if (dbrows($result)) {
	$i = 1;
	while ($data = dbarray($result)) {
		$gewinn = ($data['rubbl_his_score_gewinn'] != "" ? $data['rubbl_his_score_gewinn']." ".$locale['MGR_023']."<br />" : "").($data['rubbl_his_gewinn_name'] != "" ? $data['rubbl_his_gewinn_name']."<br />" : "").($data['rubbl_his_gewinn_img'] != "" ? "<img src='".INFUSIONS."mg_rubbler_panel/images/".$data['rubbl_his_gewinn_img']."' style='max-width:150px;max-height:150px;' />" : "");
		$history .= THEME_BULLET."<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' onmouseover=\"showWMTT('historytip".$i."')\" onmouseout=\"hideWMTT()\">".$data['user_name']."</a><div id='historytip".$i."' class='tbl1 rubblertooltip'><b>".$locale['MGR_026']."".showdate("%d.%m.%Y %H:%M:%S", $data['rubbl_his_datestamp'])."</b><hr /><b>".$locale['MGR_005'].":</b> #".$data['rubbl_his_losnummer']."<br /><b>".$locale['MGR_027'].":</b> ".$gewinn."</div><br />";
	$i++;
	}
	} else {
		$history = THEME_BULLET."".$locale['MGR_031']."";
	}

	echo "<b>".$locale['MGR_028']."</b> ".$anzahl."<br /><br />";
	echo "<b>".sprintf($locale['MGR_029'], "10")."</b> <br />".$history."<br />";
	echo "<a href='".FUSION_SELF."?history=true'>&middot;".$locale['MGR_030']."&middot;</a>";

closetable();
}

} else {
opentable($locale['MGR_title']);
	echo "<div style='text-align:center;'>".$locale['MGR_err2']."</div>";
closetable();
}

?>

<script type="text/javascript">
	$(document).ready(function(){
	$('.error').fadeOut(5000);
	});
</script>
<?php
echo "<div style='text-align: right;'><a href='http://phpfusion.marcusg.de' target='_blank' title='".$locale['MGR_title']." v".$locale['MGR_version']." &copy; ".showdate("%Y",time())." by MarcusG'><span class='small'>&copy;</span></a></div>";

require_once THEMES."templates/footer.php";
echo "<script src='".INFUSIONS."mg_rubbler_panel/inc/tooltip.js'></script>";
?>